Bug 40350 - "starting pcmcia" freezes during RedHat 7.1 boot at PCIC PC Card controller
"starting pcmcia" freezes during RedHat 7.1 boot at PCIC PC Card controller
Status: CLOSED CANTFIX
Product: Red Hat Linux
Classification: Retired
Component: netcfg (Show other bugs)
7.1
i386 Linux
high Severity high
: ---
: ---
Assigned To: Nalin Dahyabhai
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-12 10:40 EDT by Need Real Name
Modified: 2006-10-18 12:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-18 12:19:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-12 10:40:49 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Win 9x 4.90)

Description of problem:
"starting pcmcia" freezes during RedHat 7.1 boot at PCIC PC Card controller

How reproducible:
Always

Steps to Reproduce:
1Toshiba laptop Satellite 2100CDS BIOS set to "PCIC Compatible"
2.save the setting and reboot
3.then at "starting pcmcia", freezes
	

Actual Results:  at "starting pcmcia", it freezes.

Expected Results:  My pcmcia network card Dlink DE-660 was working good at 
RedHat 6.1 under the same setting.

Additional info:

Attention: I have mentioned the NIC Dlink DE-660. But, the "starting 
pcmcia freezes" problem, with or without the presence of this DE-660, will 
remain the same.

If instead of "PCIC Compatible", "CardBus/16 bit" is used. Then the laptop 
will start up good and even detects the netcard Dlink DE-660 with correct 
node ID:00 80 C8... However, as soon as I use netcfg to setup IP address 
and etc. and activate the eth0, the laptop freezes and has to be powered 
off by power button.

If instead of "PCIC Compatible" and CardBus/16 bit", the controller mode 
is set to "Auto-Selected", the laptop will crash at booting in a different 
way.

Thank you very much for the help.
Comment 1 Need Real Name 2001-05-26 19:06:34 EDT
I solved this problem.

added "exclude irq 3" to /etc/pcmcia/config.opts
Comment 2 dan cialdella 2001-06-14 11:30:37 EDT
i have the same problem with my Satellice 330 cds, and kinsgton card PCMCIA, when the rh 7.1 boot and start the pcmcia, tell me "use PCI=BIOSIRQ" and hung up, and crash de hard.

i4ll try this solution.
Comment 3 dan cialdella 2001-06-14 11:36:14 EDT
I disabled the PCMCIA service, boot and everything boot up, and start Linux.

in a shell prompt 

     /etc/# ./pcmcia

and i received

    Starting PCMCIA services: modulesPCI; No IRQ known for interrupt pin A of device 00:13.0 Please TRY using pci=biosirq.
PCI; No IRQ known for interrupt pin B of device 00:13.1 Please TRY using pci=biosirq.
Yenta IRQ list 06b0, PCI IRQ 0
Socket Status: 30000011 

and HUNG UP

i have a kingston nic and a modem (both pcmcia)
Comment 4 Need Real Name 2001-06-15 13:41:01 EDT
I have the exact same problem with a Toshiba 2545XCDT - but don't know how
to get into the bios - that stupid 'Toshiba' splash screen isn't helping.
I'll try the 'exclude irq 3' & also try to find the magic key strokes to get
into the bios.
Comment 5 Need Real Name 2001-06-15 14:27:13 EDT
Okay - I had to exclude irq 3 AND change the bios to 'CardBus/16 bit' to 
get it working.
Comment 6 Need Real Name 2001-06-16 01:26:43 EDT
Sorry, I forgot to mention to change the bios to "CardBus/16bit". Do the
following to get into bios setup mode of toshiba laptop (at least for my
2100cds).

1)shut down and power off the laptop.
2)press "ESC" key and hold.
3)press power button to turn it on.
4)when the laptop password screen appears, release the "ESC" key.
5)type your password and press enter.
6)the screen show "press F1 to bios setup"
Comment 7 Need Real Name 2001-06-16 01:46:31 EDT
also check out bug report 42229
Comment 8 Bill Nottingham 2006-08-07 14:56:04 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Red Hat apologizes that these issues have not been resolved yet. We do
want to make sure that no important bugs slip through the cracks.
Please check if this issue is still present in a current Fedora Core
release. If so, please change the product and version to match, and
check the box indicating that the requested information has been
provided. Note that any bug still open against Red Hat Linux on will be
closed as 'CANTFIX' on September 30, 2006. Thanks again for your help.
Comment 9 Bill Nottingham 2006-10-18 12:19:33 EDT
Red Hat Linux is no longer supported by Red Hat, Inc. If you are still
running Red Hat Linux, you are strongly advised to upgrade to a
current Fedora Core release or Red Hat Enterprise Linux or comparable.
Some information on which option may be right for you is available at
http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.

Note You need to log in before you can comment on or make changes to this bug.